%define fname	make
%define mksuffix	4.3

Summary:	A GNU tool which simplifies the build process for users
Name:		make%{mksuffix}
Version:	4.3
Release:	%mkrel 1
Url:		http://directory.fsf.org/wiki/Make
License:	GPLv2+
Group:		Development/Other
Source0:	https://ftp.gnu.org/gnu/make/%{fname}-%{version}.tar.gz
Source1:	https://ftp.gnu.org/gnu/make/%{fname}-%{version}.tar.gz.sig
Patch1:		make-4.3-lib64.patch
Patch3:		make-4.3-gfortran.patch

BuildRequires:	gettext-devel
BuildRequires:	texinfo
BuildRequires:	gcc >= 5.2.1

%description
A GNU tool for controlling the generation of executables and other
non-source files of a program from the program's source files.  Make
allows users to build and install packages without any significant
knowledge about the details of the build process.  The details about how
the program should be built are provided for make in the program's
makefile.

The GNU make tool should be installed on your system because it is
commonly used to simplify the process of installing programs.

%prep
%setup -q -n %{fname}-%{version}
%autopatch -p1

%build
autoreconf -fi
%configure \
	--disable-rpath \
	--program-suffix=%{mksuffix}
%make_build

%check
# all tests must pass
make check

%install
%make_install

rm -rf %{buildroot}%{_infodir}
rm -rf %{buildroot}%{_datadir}/locale
ln -sf make%{mksuffix} %{buildroot}%{_bindir}/gmake%{mksuffix}

# (tmb) nuke for now, is there any use of a devel package ?
rm -f %{buildroot}/usr/include/gnumake.h

%files
%doc ABOUT-NLS AUTHORS README README.customs SCOPTIONS NEWS
%doc COPYING ChangeLog
%_bindir/make%{mksuffix}
%_bindir/gmake%{mksuffix}
%_mandir/man1/make%{mksuffix}.1*
